Subject: Re: MSC Pricing

From: [email-masked] (Fitch R. Williams)
Date: Tue, 03 Dec 1996 07:16:36 GMT

[email-masked] wrote:

>I have dealt with more than a half dozen suppliers in the past 6 months
>and, in my opinion, none of them "can hold a candle to MSC" (what does
>that mean, anyway?).

>I've ordered from Rutland, Travers, Harbor Tool, Wholesale Tool, Grand
>Tool, ENCO and MSC. Rutland's order took 6 days, they overcharged me and
>sent me an incorrect item. The replacement item took another 4 days and,
>despite their assurance, I have never been credited for the overcharge.
>Travers' order took 7 days. Harbor Tool "lost" my order. Wholesale and
>Grand took 5 days each. ENCO - what more can be said about ENCO! They had
>a 3/8" x 16 plug tap on back order for 14 months (that is not a mistake).
>Although, to be fair, I finally did get it.

>MSC, on the other hand, has unfailingly delivered within 24 hours - if I
>ordered before 4PM, and within 48 hours if I ordered later than that. They
>have lowered prices for me and, in one instance when I thought I had been
>double billed for shipping, called to discuss it with me, and promptly
>credited my account - no arguement, a very pleasant experience.

>As Jim says, when you need it, you need it. MSC 'delivers' - what they
>promise and when they promise. That's worth just about *everything* to me,
>folks. Plus, in my experience, MSC doesn't sell 'junk' (at least not
>without properly warning you about it first).

>------------------
>Ed Kingsley

That is a testimonial and a half.  Now if I could just
remember where I wrote down their 800 number to get a
catalog ...

Fitch
Holding his flash light to ward off scfms and ENCOs and
Harbor Freights and ..... * Depots ...